renderUI {shiny} | R Documentation

## UI Output

### Description

Experimental feature. Makes a reactive version of a function that generates HTML using the Shiny UI library.

### Usage

    renderUI(expr, env = parent.frame(), quoted = FALSE, func = NULL)

### Arguments

`expr` | An expression that returns a Shiny tag object, `HTML`, or a list of such objects.
`env` | The environment in which to evaluate `expr`.
`quoted` | Is `expr` a quoted expression (with `quote()`)? This is useful if you want to save an expression in a variable.
`func` | A function that returns a Shiny tag object, `HTML`, or a list of such objects (deprecated; use `expr` instead).

### Details

The corresponding HTML output tag should be `div` and have the CSS class name `shiny-html-output` (or use `uiOutput`).

### See Also

conditionalPanel

### Examples

    ## Not run:
      output$moreControls <- renderUI({
        list(

        )
      })

    ## End(Not run)

[Package shiny version 0.13.2 Index]